-- Unique Faction ID
local factionid = "Dragoons";
--print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Faction name
CF_FactionNames[factionid] = "Dragoons";
-- Faction description
CF_FactionDescriptions[factionid] = "Elite special forces, when they turn up you know there is going to be trouble. Coming in with heavy armor, and exotic weapons. Plenty of tactical choices!";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_RequiredModules[factionid] = {"Base.rte", "MySaMs.rte"}

-- Set faction nature
CF_FactionNatures[factionid] = CF_FactionTypes.ORGANIC;

-- Define faction bonuses, in percents
CF_ScanBonuses[factionid] = 0
CF_RelationsBonuses[factionid] = 15
CF_ExpansionBonuses[factionid] = 0

CF_MineBonuses[factionid] = 10
CF_LabBonuses[factionid] = 15
CF_AirfieldBonuses[factionid] = 5
CF_SuperWeaponBonuses[factionid] = 0
CF_FactoryBonuses[factionid] = 5
CF_CloneBonuses[factionid] = 10
CF_HospitalBonuses[factionid] = 0


-- Define brain unit
CF_Brains[factionid] = "Dragoon Commander";
CF_BrainModules[factionid] = "MySaMs.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 350;

-- Define dropship	
CF_Crafts[factionid] = "Assault Transport";
CF_CraftModules[factionid] = "MySaMs.rte";
CF_CraftClasses[factionid] = "ACDropShip";
CF_CraftPrices[factionid] = 400;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Bombing.lua"

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {}
CF_ActPowers[factionid] = {}
CF_ActOffsets[factionid] = {}

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Dragoon Nura"
CF_ActPresets[factionid][i] = "Dragoon Nura"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 150
CF_ActDescriptions[factionid][i] = "Dragoon Nura equipped with heavy armor and a jetpack. Can take a pounding, and is very agile."
CF_ActUnlockData[factionid][i] = 0
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 4

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Dragoon Ijeuso"
CF_ActPresets[factionid][i] = "Dragoon Ijeuso"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 250
CF_ActDescriptions[factionid][i] = "Elite Infantry, sent to the frontline, armed and ready to do the worse jobs, that no one else likes to do."
CF_ActUnlockData[factionid][i] = 2000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 7

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Dragoon Liutam"
CF_ActPresets[factionid][i] = "Dragoon Liutam"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 400
CF_ActDescriptions[factionid][i] = "Ultra-Elite infantry for the most dangerous job, equipped with the best tech for the job."
CF_ActUnlockData[factionid][i] = 3000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DMG Drone"
CF_ActPresets[factionid][i] = "DMG Drone"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 100
CF_ActDescriptions[factionid][i] = "Robotic assault drone.  Fast, but armorless and weak.  Equipped with a drone-model Machinegun."
CF_ActUnlockData[factionid][i] = 1500
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 5
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DMG Cannon Drone"
CF_ActPresets[factionid][i] = "DMG Cannon Drone"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 400
CF_ActDescriptions[factionid][i] = "Robotic assault drone. Heavily armored and slow, Equipped with a Anti-AT Cannon."
CF_ActUnlockData[factionid][i] = 4000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 7
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DMG Minigun Drone"
CF_ActPresets[factionid][i] = "DMG Minigun Drone"
CF_ActModules[factionid][i] = "MySaMs.rte"
CF_ActPrices[factionid][i] = 350
CF_ActDescriptions[factionid][i] = "Robotic assault drone.  Heavily armored and slow.  Equipped with a Anti-AP Minigun."
CF_ActUnlockData[factionid][i] = 4000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 7
CF_ActOffsets[factionid][i] = Vector(0,12)


i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Anti-Air Drone"
CF_ActPresets[factionid][i] = "Anti-Air Drone"
CF_ActModules[factionid][i] = "Base.rte"
CF_ActPrices[factionid][i] = 225
CF_ActDescriptions[factionid][i] = "Tradstar's Anti-Air Drone sports a machine gun plus a pair of fully automated surface to air missiles for bringing down any unwanted visitors above your landing zone."
CF_ActUnlockData[factionid][i] = 750
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Medic Drone"
CF_ActPresets[factionid][i] = "Medic Drone"
CF_ActModules[factionid][i] = "Coalition.rte"
CF_ActPrices[factionid][i] = 110
CF_ActDescriptions[factionid][i] = "Send this into the battlefield and place it near a unit to create a forcefield around it that heals nearby actors."
CF_ActUnlockData[factionid][i] = 500
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 0
CF_ActOffsets[factionid][i] = Vector(0,12)



-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {}

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Multifunctional Tool"
CF_ItmPresets[factionid][i] = "Multifunctional Tool"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Digger and base fixer in one."
CF_ItmUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DMG Shield"
CF_ItmPresets[factionid][i] = "DMG Shield"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "This metal shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Scanner"
CF_ItmPresets[factionid][i] = "Light Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the scanner family. Cheapest of them all and can only scan a small area."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Scanner"
CF_ItmPresets[factionid][i] = "Medium Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Medium scanner. This scanner is stronger and can reveal a larger area."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Scanner"
CF_ItmPresets[factionid][i] = "Heavy Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Strongest scanner out of the three. Can reveal a large area."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "K-5 Pistol"
CF_ItmPresets[factionid][i] = "K-5 Pistol"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Compact with a high rate of fire, this handgun can also function as a primary weapon."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Energy Pistol"
CF_ItmPresets[factionid][i] = "Energy Pistol"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Compact energy pistol, shooting compressed energy bolts of plasma, perfect sidearm."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Buckshot Pistol"
CF_ItmPresets[factionid][i] = "Buckshot Pistol"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Compact with a high rate of fire, this handgun can also function as a primary weapon."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Anti-Personal Grenade"
CF_ItmPresets[factionid][i] = "Anti-Personal Grenade"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Nice to clear out rooms and stupid zombies."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Kinct PT Grenade Charge"
CF_ItmPresets[factionid][i] = "Kinct PT Grenade Charge"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "If you love demolition, then you'll love this. Power of a high yield warhead, go nuts."
CF_ItmUnlockData[factionid][i] = 350
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Sub-Machine Gun"
CF_ItmPresets[factionid][i] = "Sub-Machine Gun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "A perfect backup weapon."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "SMG D-142"
CF_ItmPresets[factionid][i] = "SMG D-142"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Light SpecOps SMG, paper light and high rate of fire."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "J89-MG"
CF_ItmPresets[factionid][i] = "J89-MG"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "High firing rate weapon, spray and pay."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Machinegun X-9"
CF_ItmPresets[factionid][i] = "Machinegun X-9"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "Perfect for close quarters high rate of fire, Machinegun."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "AS17-Assault Rifle"
CF_ItmPresets[factionid][i] = "AS17-Assault Rifle"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "A sturdy, powerful assault rifle with a 30-round magazine."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DMG-SCAR"
CF_ItmPresets[factionid][i] = "DMG-SCAR"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 90
CF_ItmDescriptions[factionid][i] = "Powerful long-ranged weapon with a steady rate of fire."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "MX87(GL)"
CF_ItmPresets[factionid][i] = "MX87(GL)"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 120
CF_ItmDescriptions[factionid][i] = "High powered rifle, with grenade launcher attachment."
CF_ItmUnlockData[factionid][i] = 1200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "HG-11 Pulse Rifle"
CF_ItmPresets[factionid][i] = "HG-11 Pulse Rifle"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 80
CF_ItmDescriptions[factionid][i] = "Plasma heated, which fires metal slugs, covered with plasma."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DMG Shotgun"
CF_ItmPresets[factionid][i] = "DMG Shotgun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "A light shotgun with six shots and moderate reload time."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DMG Auto Shotgun"
CF_ItmPresets[factionid][i] = "DMG Auto Shotgun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 60
CF_ItmDescriptions[factionid][i] = "Auto shotgun packed action."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Multifunctional Energy Cannon"
CF_ItmPresets[factionid][i] = "Multifunctional Energy Cannon"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "High powered, with which you can refocus the beam, and direct the energy, which can melt flesh and metal."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "AP-STR"
CF_ItmPresets[factionid][i] = "AP-STR"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 140
CF_ItmDescriptions[factionid][i] = "Heavy assault weapon, perfect for storming a place."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "LMG"
CF_ItmPresets[factionid][i] = "LMG"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 120
CF_ItmDescriptions[factionid][i] = "Light machine gun.  It's portability combined with steady rate of fire and large ammo capacity, makes it a deadly weapon."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Chaingun"
CF_ItmPresets[factionid][i] = "Chaingun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 280
CF_ItmDescriptions[factionid][i] = "Best for holding out in a bunker, only the dead keep walking, after this has finished. Heavy and slow to move, but nice rate of fire"
CF_ItmUnlockData[factionid][i] = 2400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy MG"
CF_ItmPresets[factionid][i] = "Heavy MG"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 180
CF_ItmDescriptions[factionid][i] = "Heavy machine gun.  Makes plenty of holes!"
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DX-10 Minigun"
CF_ItmPresets[factionid][i] = "DX-10 Minigun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 320
CF_ItmDescriptions[factionid][i] = "Heavy machine gun.  Makes plenty of holes!"
CF_ItmUnlockData[factionid][i] = 2400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "MS-Plasmagun"
CF_ItmPresets[factionid][i] = "MS-Plasmagun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 240
CF_ItmDescriptions[factionid][i] = "Slow moving super charged plasma bolts, melts though armor and flesh, with a nice capacity."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Energy Gatlingun"
CF_ItmPresets[factionid][i] = "Energy Gatlingun"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 240
CF_ItmDescriptions[factionid][i] = "Plasma charged Gatling Gun, constant fire will cause it to overheat, short steady burst, good thing you don't have to reload."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "NK-Flamethrower"
CF_ItmPresets[factionid][i] = "NK-Flamethrower"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 180
CF_ItmDescriptions[factionid][i] = "Flamethrower. Grill and scorch your opponents with this pretty weapon. Extremely powerful for close quarters."
CF_ItmUnlockData[factionid][i] = 1800
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "One Hand Flamethrower"
CF_ItmPresets[factionid][i] = "One Hand Flamethrower"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "Light and small, not a very big clip, roast and toast, perfect to use with shield or a sidearm."
CF_ItmUnlockData[factionid][i] = 1800
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DX-Scout Rifle"
CF_ItmPresets[factionid][i] = "DX-Scout Rifle"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Light, long range rifle with sweet rate of fire, time to take some heads off."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Railcannon"
CF_ItmPresets[factionid][i] = "Railcannon"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 250
CF_ItmDescriptions[factionid][i] = "With scope for long distance shooting."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "MKGL-12"
CF_ItmPresets[factionid][i] = "MKGL-12"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 140
CF_ItmDescriptions[factionid][i] = "Perfect for those bunker clearing jobs, Six shot grenade launcher. Pie menu for ammo select"
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "AT-Cannon"
CF_ItmPresets[factionid][i] = "AT-Cannon"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 480
CF_ItmDescriptions[factionid][i] = "Perfect for taking out those pesty tanks, long range with a few shots, good hunting!"
CF_ItmUnlockData[factionid][i] = 3500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Dragoon Mini Rocket Launcher"
CF_ItmPresets[factionid][i] = "Dragoon Mini Rocket Launcher"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 170
CF_ItmDescriptions[factionid][i] = "Muitlfire rocket launcher, high rate of fire with a long reload, but causes a bit of damage in the right hands."
CF_ItmUnlockData[factionid][i] = 2500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Dragoon Missle Launcher"
CF_ItmPresets[factionid][i] = "Dragoon Missle Launcher"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 220
CF_ItmDescriptions[factionid][i] = "Portable tank killer, can load a Multitod of ammo types, for jobs that need doing."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Artillery Missle Launcher"
CF_ItmPresets[factionid][i] = "Artillery Missle Launcher"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 320
CF_ItmDescriptions[factionid][i] = "Tactical artillery weapon that fires powerful exploding missles. Features a trajectory guide to help with long-ranged shots."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Long Range Barride Cannon"
CF_ItmPresets[factionid][i] = "Long Range Barride Cannon"
CF_ItmModules[factionid][i] = "MySaMs.rte"
CF_ItmPrices[factionid][i] = 450
CF_ItmDescriptions[factionid][i] = "Capable of delivering, high yield explosive shells, Features a trajectory guide to help with long-ranged shots."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8