function Create(self)
   self.MOName = "M249 Top";      -- Change this to the name of your animating MO
   self.MO = nil;
   self.ReloadTimer = Timer();
   self.ReloadTime = 2800;         -- Set this to the ReloadTime from your gun's INI, so that the animation times the reversing of the animation correctly
   self.FrameTimer = Timer();
   self.FrameTime = 50;
   self.OriginalFrameIndex = 0;   -- You can lower this by whatever amount you want to make the animation start later and end sooner
   self.FrameIndex = 0;         -- This variable is here so that the frame number can go well above the FrameCount in the INI (so that it can ping-pong properly)
end

function Update(self)
   if self.MO == nil then                     -- If there is no MO to animate, find one.
      for i = 1, MovableMan:GetMOIDCount() - 1 do
         object = MovableMan:GetMOFromID(i);

         if object ~= nil and object.PresetName == self.MOName and object.RootID == self.RootID then
            self.MO = ToMOSprite(object);
         end
      end
   else                                 -- If there is an MO to animate, animate it.
      if self:IsReloading() then                     -- If the gun is reloading
         if self.FrameTimer:IsPastSimMS(self.FrameTime) then      -- ...and if the frame needs changing
            if self.ReloadTimer:IsPastSimMS(self.ReloadTime / 2) then   -- ...and if the reload is halfway through,
               self.FrameIndex = self.FrameIndex - 1;                     -- ...it needs to play the animation in reverse (the FrameIndex is probably greater than the number of frames now).
            else                                          -- If it's not past halfway through the reload,
               self.FrameIndex = self.FrameIndex + 1;                     -- ...play the animation forwards.
            end

            self.FrameTimer:Reset();                           -- Reset the frame timer.
         end
      else                                    -- If the gun isn't reloading
         self.ReloadTimer:Reset();                        -- ...reset the reload timer so that next time a reload starts it's at 0,
         self.FrameIndex = self.OriginalFrameIndex;            -- ...and reset the frame index.
      end

      if self.FrameIndex >= 0 and self:IsReloading() then   -- If it's reloading or the FrameIndex isn't negative,
         self.MO.Frame = self.FrameIndex;                  -- ...update the frame to the one it should be on.
      else                                    -- If it's not reloading, or the FrameIndex is negative,
         self.MO.Frame = 0;                              -- ...the frame needs to be 0 (if the frame is set to a negative number, it goes to the last frame)
      end
   end
end