package.loaded.Constants = nil; require("Constants")
require("Actors/AI/PID")

function Create(self)
	function GSOffset(Origin, ang, dist)
		if Origin then
			return Vector(Origin.X, Origin.Y) + Vector(dist,0):RadRotate(ang)	-- this way it does not matter if Origin is a const vector
		end
		return Vector(dist,0):RadRotate(ang)
	end

	self.Turret = {}
	self.Turret[1] = CreateACrab("Dragoon MG Mount")
	MovableMan:AddParticle(self.Turret[1])
	self.Turret[1].Team = self.Team
	self.Turret[1].Offset = Vector(90,23);
	if self.HFlipped == true then
		self.Reverse = -1
	elseif self.HFlipped == false then
		self.Reverse = 1
	end

	self.MaxHorizontalVel = 1
	self.Acceleration = 0.2
	self.NaturalMovementTimer = Timer()
	self.Ctrl = self:GetController()
	self.Moving = 1

	-- Find the engines
	local MoObj
	for i = 1, MovableMan:GetMOIDCount()-1 do
		if i ~= self.ID and MovableMan:GetRootMOID(i) == self.ID then	-- an obj without a parent has ID == RootID
			MoObj = MovableMan:GetMOFromID(i)
			if MoObj.PresetName == "DGDropship Engine Left" then
				self.EngineLeft = ToAEmitter(MoObj)
			elseif MoObj.PresetName == "DGDropship Engine Right" then
				self.EngineRight = ToAEmitter(MoObj)
			end
		end
	end
end

function Update(self)
	if self.AngularVel > 0.360 and self.RotAngle > 0.360 then
		self.AngularVel = 0.360;
	elseif self.AngularVel < -0.360 and self.RotAngle < -0.360 then
		self.AngularVel = -0.360;
	end

	if self.HFlipped then
		self.Reverse = -1
	elseif not self.HFlipped then
		self.Reverse = 1
	end

	-- Reduce the risk of auto scuttling
	if self.RotAngle > 6.2832 then
		self.RotAngle = self.RotAngle - 6.2832
	elseif self.RotAngle < -1.5708 then
		self.RotAngle = self.RotAngle + 6.2832
	end

	for i = 1, #self.Turret do
		if MovableMan:IsParticle(self.Turret[i]) == true then
			self.Turret[i].Vel.X = 0;
			self.Turret[i].Vel.Y = 0;
			self.Turret[i].RotAngle = self.RotAngle;
			self.Turret[i].Pos = self.Pos + self:RotateOffset(self.Turret[i].Offset)
		end
		
		self.RotAngle = self.RotAngle * 0.90
		if self:GetController():IsState(Controller.MOVE_LEFT) then
			self.RotAngle = self.RotAngle + 0.05
			if self.Vel.X >= self.MaxHorizontalVel*-1 then
				self.Vel.X = self.Vel.X - self.Acceleration
				self.HFlipped = true
				
			end
		elseif self:GetController():IsState(Controller.MOVE_RIGHT) then
			self.RotAngle = self.RotAngle - 0.05
			if self.Vel.X <= self.MaxHorizontalVel then
				self.Vel.X = self.Vel.X + self.Acceleration
				self.HFlipped = false
			end
		end
	end

	if self.EngineLeft.ID < 255 and self.EngineLeft:IsAttached() and
		self.EngineRight.ID < 255 and self.EngineRight:IsAttached()
	then	-- Make sure the engines are attached
		local Acc = Vector()
		local power = {14000, 1200, 6000, 24000, 9000, 16000}
		
		-- Rotate
		if self.Ctrl:IsState(Controller.MOVE_LEFT) and self.AngularVel < 2 then
			if self.HFlipped then
				Acc:SetMagnitude(power[1]) -- Facing left; accelerate
			else
				if self.RotAngle < 0 then
					Acc:SetMagnitude(power[2])	-- Facing right; do not break hard until level
				else
					Acc:SetMagnitude(power[3])	-- Facing right; break
				end
			end
			
			Acc:RadRotate(self.RotAngle/2 + 3.141592)
			self.AngularVel = self.AngularVel + 0.124
		elseif self.Ctrl:IsState(Controller.MOVE_RIGHT) and self.AngularVel > -2 then
			if self.HFlipped then
				if self.RotAngle > 0 then
					Acc:SetMagnitude(power[2])	-- Facing left; do not break hard until level
				else
					Acc:SetMagnitude(power[3])	-- Facing left; break
				end
			else
				Acc:SetMagnitude(power[1]) -- Facing right; accelerate
			end
			
			self.AngularVel = self.AngularVel - 0.104
			Acc:RadRotate(self.RotAngle/2)
		else
			self.AngularVel = self.AngularVel * 0.76
		end
		
		-- Lift
		local Lft = Vector(0, 0)
		if self.Ctrl:IsState(Controller.MOVE_UP) then
			Lft:SetMagnitude(power[4])
		elseif self.Ctrl:IsState(Controller.MOVE_DOWN) then
			Lft:SetMagnitude(power[5])
		else
			Lft:SetMagnitude(power[6])
		end
		
		Lft:RadRotate(self.RotAngle)
		self:AddAbsForce(Lft.Perpendicular + Acc + Vector(0, -1500), self.Pos)
	elseif self.Health > 0 then
		self.Health = self.Health - 1
	end
end

function Destroy(self)
	for i = 1, #self.Turret do
		if MovableMan:IsParticle(self.Turret[i]) == true then
			if self.Health < 1 then
				self.Turret[i]:GibThis()
			else
				self.Turret[i].ToDelete = true
			end
		end
	end
end