function Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX;
	self.thrustertimer = Timer();
	self.aimtimer = Timer();
	self.alliedTeam = -2;
	self.halfPi = math.pi*0.5;

	self.releaseFire = false;

	self.thrusterstarttime = 250;
	self.aimchecktime = 100;
	self.detectrange = 1800;
	self.smarthome = true;
	self.turnsharpness = 1.25;
	local launchspeed = 15;
	self.rayDotSpacing = 5;
	self.rayLength = 1800;

	local curdist = 10;
	for i = 1, MovableMan:GetMOIDCount()-1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.PresetName == "Thunderstrike Missile Launcher" and gun.ClassName == "HDFirearm" and SceneMan:ShortestDistance(self.Pos,ToHDFirearm(gun).MuzzlePos,self.mapwrapx).Magnitude < curdist then
			local flipNum = 1;
			if gun.HFlipped == true then
				flipNum = -1;
			end
			self.Vel = gun.Vel + Vector(launchspeed*flipNum,0):RadRotate(gun.RotAngle);
			self.RotAngle = self.Vel.AbsRadAngle;
			self.parentgun = ToHDFirearm(gun);

			local dots = self.rayLength/self.rayDotSpacing;

			for i = 1, dots do
				local checkPos = self.Pos + Vector(self.Vel.X,self.Vel.Y):SetMagnitude((i/dots)*self.rayLength);
				if SceneMan.SceneWrapsX == true then
					if checkPos.X > SceneMan.SceneWidth then
						checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
					elseif checkPos.X < 0 then
						checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
					end
				end
				local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
				if terrCheck == 0 then
					local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
					if moCheck ~= 255 and MovableMan:GetMOFromID(moCheck).RootID ~= gun.RootID then
						local checkTarget = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck).RootID);
						if checkTarget.Team ~= self.Team then
							self.target = checkTarget;
							local sfx = CreateAEmitter("40kRPG Sound Target");
							sfx.Pos = self.Pos;
							MovableMan:AddParticle(sfx);
							break;
						end

					end
				else
					break;
				end
			end

			self.parentgun.Sharpness = 1;

			break;

		end
	end

end

function Update(self)

	if self.thrustertimer:IsPastSimMS(self.thrusterstarttime) then
		self:EnableEmission(true);
	end

	if self.target ~= nil and self.target.ID ~= 255 then

		local targetfx = CreateMOSParticle("40kRPG Target Effect");
		targetfx.Pos = self.target.Pos;
		MovableMan:AddParticle(targetfx);

		if self.smarthome == true then

			local targetPosition = self.target.Pos;

			if self.target.Vel.Magnitude > 5 then
				local time = SceneMan:ShortestDistance(self.Pos,self.target.Pos,self.mapwrapx).Magnitude / self.Vel.Magnitude;

				local endPoint = Vector(self.target.Vel.Magnitude*time,0):RadRotate(self.target.Vel.AbsRadAngle);
				local distance = endPoint.Magnitude;
				local dotSpacing = 5;
				local dots = distance/dotSpacing;

				for i = 1, dots do
					local checkPos = self.target.Pos + Vector(endPoint.X,endPoint.Y):SetMagnitude((i/dots)*distance);
					if SceneMan.SceneWrapsX == true then
						if checkPos.X > SceneMan.SceneWidth then
							checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
						elseif checkPos.X < 0 then
							checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
						end
					end
					local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
					if terrCheck == 0 then
						targetPosition = checkPos;
					else
						break;
					end
				end

			end

			local aimVector = SceneMan:ShortestDistance(self.Pos,targetPosition,self.mapwrapx);
			local angleCheck = ((aimVector.AbsRadAngle-self.Vel.AbsRadAngle)*self.turnsharpness);
			if math.abs(angleCheck) > self.halfPi then
				self.RotAngle = self.Vel.AbsRadAngle + (self.halfPi*(-1));
			else
				self.RotAngle = aimVector.AbsRadAngle + angleCheck;
			end

		else
			local aimVector = SceneMan:ShortestDistance(self.Pos,self.target.Pos,self.mapwrapx);
			self.RotAngle = aimVector.AbsRadAngle;
		end

	elseif self.parentgun ~= nil and self.parentgun.ID ~= 255 then
		if self.aimtimer:IsPastSimMS(self.aimchecktime) or self.aimPos == nil then
			self.aimtimer:Reset();

			local actor = MovableMan:GetMOFromID(self.parentgun.RootID);

			if MovableMan:IsActor(actor) then
				local directionAngle = ToActor(actor):GetAimAngle(true);

				local gunDist = SceneMan:ShortestDistance(self.parentgun.MuzzlePos,self.Pos,self.mapwrapx).Magnitude;
				gunDir = Vector(gunDist + 200,0):RadRotate(directionAngle);

				self.aimPos = self.parentgun.MuzzlePos + gunDir;
				local dots = self.rayLength/self.rayDotSpacing;

				for i = 1, dots do
					local checkPos = self.parentgun.MuzzlePos + Vector(i*self.rayDotSpacing,0):RadRotate(directionAngle);
					if SceneMan.SceneWrapsX == true then
						if checkPos.X > SceneMan.SceneWidth then
							checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
						elseif checkPos.X < 0 then
							checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
						end
					end
					local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
					if terrCheck == 0 then
						local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
						if moCheck ~= 255 and MovableMan:GetMOFromID(moCheck).RootID ~= self.parentgun.RootID then
							self.aimPos = checkPos;
						end
					else
						self.aimPos = checkPos;
						break;
					end
				end

			end
		end

		self.parentgun:Deactivate();

		local actor = MovableMan:GetMOFromID(self.parentgun.RootID);
		if MovableMan:IsActor(actor) then
			if ToActor(actor):GetController():IsState(Controller.WEAPON_FIRE) == false then
				self.releaseFire = true;
			elseif self.releaseFire == true then
				self:GibThis();
			end
		end

--		local actor = MovableMan:GetMOFromID(self.parentgun.RootID);
--		if MovableMan:IsActor(actor) and ToActor(actor):GetController():IsState(Controller.WEAPON_FIRE) then
--			ToActor(actor):GetController():SetState(Controller.WEAPON_FIRE,false);
--		end

		self.RotAngle = SceneMan:ShortestDistance(self.Pos,self.aimPos,self.mapwrapx).AbsRadAngle;
	end


end

function Destroy(self)

	if self.parentgun ~= nil and self.parentgun.ID ~= 255 then
		self.parentgun.Sharpness = 0;
	end


end